-- Forlorn Fox, Caves of chaos level
-- Copyright © 2016 Rob Probin.
-- No redistribution without permission.
--
local function save_state_fn()
        debugMessage("Saving state of caves_infirmary")
end

RawMapData {
    "############1###############",
    "############ #####  Caves  #",
    "#######/    &   ##  Royal  #",
    "######           #Infirmary#",
    "#####  b      B  ###########",
    "#####  B &    b ^ ##########",
    "####   B      B    #########",
    "####w  b      B   ##########",
    "#####w    * 2   ############",
    "######w     /  #############",
    "#######w ###################",
    "############################",
    
    spawn_line = 10.5,
    spawn_column = 2,
    
    title = "Caves of Chaos - Kobold",
    exit_north = nil, --"caves21",
    exit_south = nil,
    exit_west = nil,
    exit_east = nil,--"caves21",
    exits = {
                ['1'] = { file='caves/caves_entrance', destination='h', mode='common_area'},
                ['2'] = { map_character = get_glyph('spectrum', 32) }, -- entrance only
            },
    conditionals =
    {
        exit_doors = 'closed',
    },
    features = 
    { 
        { '#', from_utf8('#'), "AutoWall" },
        { ' ', ' ',            "Space" },
        { 'b', get_glyph('blackwall', 0x11),            "Wall" }, 
        { 'B', get_glyph('blackwall', 0x10),            "Wall" }, 
        { 'w', {500, get_glyph('caves2',23 ), get_glyph('caves2',24 ), get_glyph('caves2', 25), get_glyph('caves2', 26), get_glyph('caves2', 27 ), get_glyph('caves2', 28 ), get_glyph('caves2', 29 )}, "Wall" },
        
        { '&', get_glyph('caves1', 31),            "Space" }, -- mould - just decoration
        { '^', get_glyph('caves1', 30),            "Space" }, -- scratch - just decoration
        { '/', get_glyph('caves1', 0x2f), "Space" },

    },
    ---[[
    mobs = 
    { 
        ['*'] = 
        { 
            file = 'mobs/make_nurse',
            map_character = get_glyph('blackwall',0x12),
        } 
    },--]]
    controllers = { },
    objects = { 
        on_map = {
            ['c'] = 'gold coin'
            }
    },
    fg = 'WHITE',
    bg = 'Saddle_Brown',    
    autowall_glyph_set = "blackwall",
    
    save_state = save_state_fn,
    
    fg_areas = {
        {start_line=1, start_column=18, end_line=3, end_column=26, colour='GREEN', font = 'scribe'},
    },
    
}
