-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
RawMapData {
    "################ ###############",
    "#                           $  #",
    "#                ############# #",
    "#                              #",
    "#                ##### ####### #",
    "#                              #",
    "#                ### ##### # # #",
    "#                              #",
    "5                ############# #",
    "#                 #          # #",
    "4         s ccc         ####    ",
    "#         6       #          # #",
    "# ##############   #    ########",
    "#                   #        E #",
    "# ###### ##### #     #         #",
    "#                     #        #",
    "# # ###### #####       #       #",
    "# #                     #    # #",
    "# ##############         ##### #",
    "#                         # e  #",
    "#2##############3###############",
    --title = "Oh $#!+!The Central Cavern!",
    title = "The Central Cavern",
    exit_north = "hubwards",
    exit_west = "coin_rush_lobby",
    exit_east = "turnwise",
    exits = {   ['2'] = { file = "mini_maze_of_madness",  destination = '1'}, 
                ['3'] = { file = "townbury",  destination = '2'},      
                ['4'] = { file = "coin_rush_lobby",  destination = '5'},      
                ['5'] = { file = "maze_tag_lobby",  destination = '5'},    
                ['6'] = { file = "slime_escape", destination = '2', map_character = get_glyph('map',0x14) },
    },
    controllers = { },
    objects = 
    { 
        on_map = 
        {
            ['c'] = 'gold coin'
        },
        { 
            object_type = 'building', 
            object_data = { line = 3, column = 3, height = 5, width = 5 }
        },
    },
    features = 
    {
        -- UTF-8 character, Unicode value, Wall type
        { '#', from_utf8('#'), "AutoWall" },
        { ' ', ' ', "Space" },
        { 'E', 'E', "Space" }, -- let mob load fix character
        { 'c', 'c',            "Space" }, -- coin
        { 's', get_glyph('dragon',0xC8),            "Space" }, -- slime
    },
    
    active_floor = 
    {
        [get_glyph('dragon',0xC8)] = "die"
    },
    
    mobs = 
    { 
        ['E'] = 
        { 
            file = 'mobs/widdershins_eyebeast', 
            map_character = ' '
        },
        ['$'] = 
        {
            file = 'mobs/make_slime', 
            map_character = ' '
        }
    },
    fg = 'BRIGHT_BLUE',
    bg = 'BRIGHT_CYAN',
    laser = 'BRIGHT_MAGENTA',
    
    buried_gold_coin_density = 0.015,
    unburied_gold_coin_density = 0.01,
}
