-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
RawMapData {
    "################################",
    "#       ########################",
    "# Start ##########             #",
    "#       ########## ##### ##### #",
    "#  1    @   ###### ##### ##### #",
    "#       ### ######             #",
    "########### ###### #############",
    "####        ###### #############",
    "#### ############# ####      ###",
    "#### ############# #### Exit ###",
    "####                 ##   *  ! 2",
    "#### ## #### #### ######## #####",
    "#### ## ##   #    ######## #####",
    "#### ## ## ### ########### #####",
    "#### ## ## ### #         # #####",
    "#### ## ##     #         # #####",
    "#### ## ########         # #####",
    "#### ## ################## #####",
    "#### ## ################## #####",
    "####*                      #####",
    "################################",
    title = "Level 1",
    exits = { 
        ['1'] = {map_character = get_glyph('spectrum', 32)},        -- entrance only
        ['2'] = { file = 'eyebeast_escape/level2', destination = '1', mode='singleplayer' },
    },
    features = 
    { 
        { '#', from_utf8('#'), "AutoWall" },
        { ' ', ' ',            "Space"    },
        { '*', '*',            "Space"    }, -- let mob load fix character
        { '@', get_glyph('blackwall',0xA0), "Space" }, -- timer
        { '!', get_glyph('blackwall',0xA1), "Space" }, -- timer
    },
    
    active_floor = 
    {
        [get_glyph('blackwall',0xA0)] = { "timer", 'level_timer', 'start' },        
        [get_glyph('blackwall',0xA1)] = { "timer", 'level_timer', 'stop' },        
    },
    
    mobs = 
    { 
        ['*'] = 
        { 
            file = 'mobs/widdershins_eyebeast', 
            map_character = ' '
        } 
    },
    preload = { 
        {file='singleplayer_lobby', mode='common_area'},    -- keep lobby in memory in clients
    },        
    
    fg = 'X11_DIM_GRAY',
    bg = 'X11_PURPLE',
    
    spawn_line = 4,
    spawn_column = 3,
    autowall_glyph_set = "blackwall",
    
    
    fg_areas = {
        {start_line=2, start_column=2, end_line=2, end_column=7, colour='BLACK'},
        {start_line=9, start_column=24, end_line=9, end_column=29, colour='BLACK'},
        {start_line=14, start_column=17, end_line=16, end_column=24, colour='BLACK'},
    },
    
    manager_name = 'eyebeast_escape_manager',
    reset_all_mobs_on_death = true,
    
    timer_location = { 14, 17 },
    
}
