-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
RawMapData {
    "#######################         ",
    "#                     #         ",
    "#    #*               #         ",
    "#  ########## #### #############",
    "#                      # * #   #",
    "#                    * #   #   #",
    "########### ###### #####   #   #",
    "# *    #       #      *#   #   #",
    "#      #       #       #   # #!#",
    "###    #*      #   #####   # # #",
    "1 @    ##### ###   #       # # 2",
    "#####    #     #   #       # ###",
    "#   #### #     #   #   #       #",
    "# #      #     #   #   #       #",
    "# ########## ###   #   #   #   #",
    "#   *#   #     #   #   #   #   #",
    "#    # # #     #       #   #   #",
    "#    # # #*    #       #   #   #",
    "# #### # ### ############  #   #",
    "#      #               *#* #  *#",
    "################################",
    title = "Level 2",
    exits = { 
        ['1'] = {map_character = get_glyph('spectrum', 32)},        -- entrance only
        ['2'] = { file = 'eyebeast_escape/level3', destination = '1', mode='singleplayer' },
    },
    features = 
    { 
        { '#', from_utf8('#'), "AutoWall" },
        { ' ', ' ',            "Space" },
        { 'E', 'E', "Space" }, -- let mob load fix character
        { '@', get_glyph('blackwall',0xA0), "Space" }, -- timer
        { '!', get_glyph('blackwall',0xA1), "Space" }, -- timer
    },
    
    active_floor = 
    {
        [get_glyph('blackwall',0xA0)] = { "timer", 'level_timer', 'start' },        
        [get_glyph('blackwall',0xA1)] = { "timer", 'level_timer', 'stop' },        
    },
    
    mobs = 
    { 
        ['*'] = 
        { 
            file = 'mobs/widdershins_eyebeast', 
            map_character = ' '
        } 
    },
    preload = { 
        {file='singleplayer_lobby', mode='common_area'},    -- keep lobby in memory in clients
    },        
    fg = 'X11_DIM_GRAY',
    bg = 'X11_PURPLE',
    autowall_glyph_set = "blackwall",
    
    manager_name = 'eyebeast_escape_manager',
    reset_all_mobs_on_death = true,
    
    timer_location = { 0, 24 },

}
