-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
RawMapData {
    "################1###############",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "                3              2",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "################ ###############",
    title = "Hubwards - trolls?",
    exit_north = nil,
    exit_south = "central_cavern",
    exit_west = "widdershins",
    exit_east = nil,
    exits = {
                ['1'] = 
                {
                    file = "trinity",
                    -- go to middle of double door in trinity 
                    destination_line = 121,
                    destination_column = 55.5,
                },
                ['2'] = {file='averlino',  destination='2'}, 
                ['3'] = {file='treehouse', destination_line=4, destination_column=4, map_character=get_glyph('treemap',0x1c)}, 
        },
    features = { 
            { '#', from_utf8('#'), "AutoWall" },
            { ' ', ' ',            "Space" },
            { '1', '1',            "Space" }, -- entrance / exit
            { '2', '2',            "Space" }, -- entrance / exit
            { 'c', 'c',            "Space" }, -- entrance / exit
        },
    controllers = { },
    objects = { 
        on_map = {
            ['c'] = 'gold coin'
            }
    },
    fg = 'BLACK',
    bg = 'X11_PURPLE',
    laser = 'BLUE',
    
    number_of_buried_gold_coin = 50,
    number_of_unburied_gold_coin = 10,
    
    spawn_line = 5,
    spawn_column = 5,
    
}
