-- Forlorn Fox
-- Copyright © 2015 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
RawMapData {
    --[[
    map data procedurally generated
    --]]
    title = "Maze of Madness",
    
    procedural = {
            width = 50,
            height = 50,
            map_type = 'maze',  -- hard to navigate, but all exits guaranteed to be connected
            exits = {
                    -- specify locations of fixed exits to be inserted into the map data
                    ['1'] = {   line = 4,   column = 49     },
                    ['2'] = {   line = 45,   column = 0     }, 
                },
            
        },
    
    exits = {
        ['1'] = { file = "maze_of_madness_tunnel",  destination = '2'},
        ['2'] = { file = 'maze_treasure',           destination = '1'}, 
    },
    
    features = { 
            { '#', from_utf8('#'), "AutoWall" },
            { ' ', ' ',            "Space" },
            { '1', '1',            "Space" }, -- entrance / exit
            { '2', '2',            "Space" }, -- entrance / exit
            { 'c', 'c',            "Space" }, -- entrance / exit
        },
    controllers = { },
    objects = { 
        on_map = {
            ['c'] = 'gold coin'
            }
    },
    fg = 'BLACK',
    bg = 'X11_PURPLE',
    laser = 'BLUE',
    
    
    
    number_of_buried_gold_coin = 50,
    number_of_unburied_gold_coin = 10,
    
}
