-- Forlorn Fox
-- Copyright © 2015 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
RawMapData {
    --[[
    map data procedurally generated
    --]]
    title = "MiniMaze",
    
    procedural = {
            width = 32,
            height = 21,
            map_type = 'tunnels',  -- hard to navigate, but all exits guaranteed to be connected
            exits = {
                    -- specify locations of fixed exits to be inserted into the map data
                    ['1'] = {   line = 0,   column = 10     },
                    ['2'] = {   line = 0,   column = 21     }, 
                },
            
        },
    
    exits = {
        ['1'] = { file = "mini_maze_of_madness",       destination = '2'},
        ['2'] = { file = 'mini_maze_of_madness',       destination = '3'}, 
    },
    
    features = { 
            { '#', from_utf8('#'), "AutoWall" },
            { ' ', ' ',            "Space" },
            { '1', '1',            "Space" }, -- entrance / exit
            { '2', '2',            "Space" }, -- entrance / exit
            { 'c', 'c',            "Space" }, -- entrance / exit
        },
    controllers = { },
    objects = { 
        on_map = {
            ['c'] = 'gold coin'
            }
    },
    fg = 'BLACK',
    bg = 'X11_PURPLE',
    laser = 'BLUE',
    
    
    
    number_of_buried_gold_coin = 50,
    number_of_unburied_gold_coin = 10,
    
}
