-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
RawMapData {
    "########################1#######",
    "#                              #",
    "# Multiplayer       Labyrinths 7",
    "4    Games                     #",
    "#                              #",
    "#    Pick an area to explore!  #",
    "#            Alpha!            #",
    "#       Some might crash!      #",
    "#                              #",
    "#                          Egg #",
    "#                          Tag 8",
    "#                              #",
    "#                              #",
    "# Widdershins                  #",
    "% Eyebeasts             Single #",
    "#                       Player 5",
    "#                        Games #",
    "#    Mazes                     #",
    "9  Of Madness      Townbury    #",
    "#                              #",
    "#######2##############3#########",
    --title = "Oh $#!+!The Central Cavern!",
    title = "The Central Cavern",
    exits = {   ['1'] = 
                {
                    file = "trinity",
                    -- go to middle of double door in trinity 
                    destination_line = 121,
                    destination_column = 55.5,
                },
                ['7'] = {file='averlino',  destination='2'}, 

                ['2'] = { file = "mini_maze_of_madness",  destination = '1'}, 
                ['3'] = { file = "townbury",  destination = '2'},      
                ['4'] = { file = "multiplayer_lobby",  destination = '&'},      
                
                ['5'] = { file = "singleplayer_lobby", destination = '%' },
                ['8'] = { file = "treehouse", destination = '4' },
                ['9'] = { file = 'maze_of_madness_tunnel', destination = '1' },
                ['%'] = { file = 'widdershins', destination = '1' },
    },
    controllers = { },
    
    features = 
    {
        -- UTF-8 character, Unicode value, Wall type
        { '#', from_utf8('#'), "AutoWall" },
        { ' ', ' ', "Space" },
        { 'E', 'E', "Space" }, -- let mob load fix character
        { 'c', 'c',            "Space" }, -- coin
    },
    
    active_floor = 
    {
    --    [get_glyph('dragon',0xC8)] = "die"
    },
    
    ---[[
    mobs = 
    { 
        ['$'] = 
        {
            file = 'mobs/make_slime', 
            map_character = ' '
        }
    },
    --]]
    fg = 'BRIGHT_BLUE',
    bg = 'BRIGHT_CYAN',
    laser = 'BRIGHT_MAGENTA',
    
    fg_areas = {
        {start_line=5, start_column=5, end_line=7, end_column=29, colour='BRIGHT_RED', font = 'blood'},
        {start_line=2, start_column=2, end_line=3, end_column=13, colour='GREEN', font = 'forgotten'},
        {start_line=14, start_column=24, end_line=17, end_column=30, colour='GREEN', font = 'scribe'},
    },
    
    
    buried_gold_coin_density = 0.015,
    unburied_gold_coin_density = 0.01,
}
