-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
-- Eyebeast character (avatar)
-- Information

local TXT = require("text_strings")

local AvatarData = {
    
    avatar_name = TXT.eyebeast_avatar_name,
    avatar_type = TXT.eyebeast_avatar_type,
    -- the center might need to be done on a graphic-by-graphic basis
    avatar_center_in_cells = { 0.5, 0.5 }, -- center bottom { x, y }
    avatar_size_in_cells = { 0.9375, 0.9375 }, -- uses center in calculation  { x, y }
    
    graphic_unicode_point = get_glyph('mobs', 0x01),
    
    -- these are not used yet
    speed = 8,
    base_health_point = 6,
    object_type = "solid", 
    animations = {},
    
    -- Graphic data 
    --This defines attributes related to the actual graphic
    -- (e.g. width+height of graphic, center of graphic)

    -- first two numbers are graphic center
    -- 15 35 no_flip alpha_ch load_object_graphic knight_red_up_still.bmp
    -- 15 35 no_flip alpha_ch load_object_graphic knight_red_rt_still.bmp
    -- 15 35 no_flip alpha_ch load_object_graphic knight_red_dn_still.bmp
    -- 15 35 no_flip alpha_ch load_object_graphic knight_red_lf_still.bmp
    -- 28 46 no_flip alpha_ch load_object_graphic ghost01.bmp

    -- animation data 
    -- This defines how the graphic is animated

    -- 10 sequence_animation

-- 33 51 no_flip alpha_ch load_object_graphic knight_red_dn1.bmp
-- 33 51 no_flip alpha_ch load_object_graphic knight_red_dn2.bmp
-- 33 51 no_flip alpha_ch load_object_graphic knight_red_dn3.bmp
-- 33 51 no_flip alpha_ch load_object_graphic knight_red_dn4.bmp
-- 14 40 no_flip alpha_ch load_object_graphic knight_red_lf1.bmp
-- 12 40 no_flip alpha_ch load_object_graphic knight_red_lf2.bmp
-- 14 40 no_flip alpha_ch load_object_graphic knight_red_lf3.bmp
-- 14 40 no_flip alpha_ch load_object_graphic knight_red_lf4.bmp
-- 18 41 no_flip alpha_ch load_object_graphic knight_red_up1.bmp
-- 18 41 no_flip alpha_ch load_object_graphic knight_red_up2.bmp
-- 19 41 no_flip alpha_ch load_object_graphic knight_red_up3.bmp
-- 19 41 no_flip alpha_ch load_object_graphic knight_red_up4.bmp
-- 10 40 no_flip alpha_ch load_object_graphic knight_red_rt1.bmp
-- 10 40 no_flip alpha_ch load_object_graphic knight_red_rt2.bmp
-- 10 40 no_flip alpha_ch load_object_graphic knight_red_rt3.bmp
-- 10 40 no_flip alpha_ch load_object_graphic knight_red_rt4.bmp
-- 3 full_walking_animation

}

return AvatarData