require('strict')
class = require('middleclass')

local dialog = class('menu')

function dialog:initialize(...)
    local s = {}
    for _, v in ipairs{...} do
        table.insert(s, { tostring(v) } )
    end
    table.insert( s, { "" } )
    table.insert( s, { "OK", 0 } )
    s.border_style = 2

    self.m = Menu(s)
end



return dialog