-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
require('strict')
local class = require('middleclass')
local Hole = class('Hole')

function Hole:initialize(name)
    -- why should an object have a line and column or a depth? 
    -- 
    self.name = name
    self.item_type = 'hole'
    self.center_height_offset = 0.5
    self.center_width_offset = 0.5
    self.glyph = get_glyph('blackwall', 149)
end



function Hole:finish()
    --self.img:hide()
end

function Hole:serialise()
    return { item_type = self.item_type }
end


return Hole

