-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--

require('status_manager')
require("player/test_menu")
local chat = require("player/chat")


local function player_game_menu(player)
        
    local m = Menu{
        background = gulp.colour.BLUE.simple_colour, 
        foreground = gulp.colour.BRIGHT_YELLOW.simple_colour,
        border_style = 2,
        { "\x1b[33mCommands :- " },
        { "\x1b[33m\x1b[1m  Chat", chat.open },
        { "\x1b[33m\x1b[1m  Drop something", function(app) set_status_line(1, 0, "I can't do that      ") end, gulp.app },
        { "" },
        { "\x1b[37mTools :- " },
        --{ "\x1b[37m\x1b[1m  Use sword", function()
        --        gulp.localplayer:select_tool('sword')
        --        end },
        { "\x1b[37m\x1b[1m  Use spade", function()
                gulp.localplayer:select_tool('spade')
                end },
        { "\x1b[37m\x1b[1m  Use metal detector", function()
                gulp.localplayer:select_tool('detector')
                end },
        { "\x1b[37m\x1b[1m  Use flash bomb", function()
                gulp.localplayer:select_tool('flash')
                end },
        { "\x1b[37m\x1b[1m  Use Supa-Colourator(tm)", function()
                gulp.localplayer:select_tool('colourator')
                end },
        { "\x1b[37m\x1b[1m  Use Exit Teleporter", function()
                gulp.localplayer:select_tool('teleport')
                end },
        { "\x1b[37m\x1b[1m  Use nothing", function()
                gulp.localplayer:select_tool()      -- pass nothing in
                end },
        { "" },
        { "\x1b[32mGames :- " },
        { "\x1b[32m\x1b[1m  Play tag", function()
                gulp.localplayer:change_tag_game_mode(true)
                end },
        { "\x1b[32m\x1b[1m  Stop playing tag", function()
                gulp.localplayer:change_tag_game_mode(false)
                end },
        { "" },
        { "\x1b[31m\x1b[1m  Test menu", function() test_menu() return true end }, 
    }
    
    if player.avatar_data.has_sword then
        m:insert_item( 6,  { "\x1b[37m\x1b[1m  Use sword", 
                function() gulp.localplayer:select_tool('sword') end })
    end


end



return player_game_menu