-- This is the starting map for Z_dungeon
-- 
-- Started: 9th March 2003
-- Ported to FF by Rob Probin 18 Oct 2020


RawMapData {
        
    title = "The Starting Room!",

    features = 
    {
        -- char $ floor no_flip LOAD_TILE space.bmp			-- $ defines out of range value
        -- bl     floor no_flip LOAD_TILE floor01_a.bmp		-- blanks (spaces)
        -- char . floor no_flip LOAD_TILE floor01_b.bmp
        -- char , floor no_flip LOAD_TILE floor01_c.bmp
        -- char : floor no_flip LOAD_TILE floor02_a.bmp
    
        { '$', get_glyph('z_dungeon',0xC8), "Space" },
        { ' ', get_glyph('z_dungeon',0x00), "Space" },
        { '.', get_glyph('z_dungeon',0x01), "Space" },
        { ',', get_glyph('z_dungeon',0x02), "Space" },
        { ':', get_glyph('z_dungeon',0x03), "Space" },

        { '#', from_utf8('#'), "AutoWall", "z_dungeon", "Z" }, -- solid no_flip LOAD_MULTI_TILE wall03_####.bmp
    },

    -- exit offsets needed - 1 offset for north/east/south/west, 2 for aux offsets
    exit_north = "singleplayer_lobby",       --5 north mini_map.zsl
    --exit_east = x,    --0 east another_map.zsl
    --exit_south = x,    --0 south another_map.zsl
    --exit_west = x,    --0 west another_map.zsl

    -- items / monsters / in map exits
    
    --2 2 create_object cheese_obj.zsl
    --[[
    objects =
    {
        {
            object_type = 'cheese',
            object_data = { line = 2, column = 2 }
    }
    --]]

    -- map_start

    --123456789012345
    "# ##############", -- 0
    "    #      #    ", --  1
    "#   #  # # # : #", -- 2
    "#          #   #", -- 3 
    "#   #  #   # # #", -- 4
    "##### ###  #   #", -- 5
    "#   #  #   # # #", -- 6
    "#  #####   #   #", -- 7
    "#          # # #", -- 8
    "#          #   #", -- 9
    "#          # # #", -- 10
    "###### ##### # #", -- 11
    "###### ##### # #", -- 12
    "#   #      # # #", -- 13
    "#   #  # # # # #", -- 14
    "#          # # #", -- 15
    "#   #      ### #", -- 16
    "##### ##   #   #", -- 17
    "#   #  #   # ###", -- 18
    "#  #####   #   #", -- 19
    "#  : : ::: ## ##", -- 20
    "#  :::  :  #   #", -- 21
    "#  : : :::     #", -- 22
    "# ##############", -- 23
    
    fg = 'WHITE',
    bg = 'BLACK',

}

