-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
local function gate()
    return get_glyph('townmap', 30)
end

RawMapData {
"#3#                                             ",
"  #########                            ######## ",
"   #      ##############################      # ",
"   # ####                                #### # ",
"   # #  ##################################  # # ",
"   # #                  #                   # # ",
"   # ## ############### # ################ ## # ",
"   #  # #               #                # #  # ",
"  ### # # ############################## # # ## ",
"# # # # # #                            # # # #  ",
"2   # # # # ########################## # # # #  ",
"##  # # # # #                        # # # # #  ",
" #  # # # # # ###################### # # # # #  ",
" #  # # # # # #         #          # # # # # #  ",
" #  # # # # # # ####### # ######## # # # # # #  ",
" #  # # # # # # #       #        # # # # # # #  ",
" #  # # # # # # # ############## # # # # # # #  ",
" #  # # # # # # # #            # # # # # # # #  ",
" #  # # # # # # # # ########## # # # # # # # #  ",
" #  # # # # # # # # #        # # # # # # # # #  ",
" #  # # # # # # # # # ###### # # # # # # # # #  ",
" #  #   #   #   # # # #   @# # # # # # # # # #  ",
" #  ############# # # # ## # # # #   # # # # #  ",
" #?                 #   #* #   # ##### # # # #  ",
" ################## # # ## # # # #   # # # # #  ",
"    #   #   #       # #    # # # # # # # # # #  ",
"    # # # # # ##### # ###### # # # # # # # # #  ",
"    # # # # # #   # #        # # # # # # # # #  ",
"    # # # # # # # # ########## # # # # # # # #  ",
"    # # # # # # # #            # # # # # # # #  ",
"    # # # # # # # ############## # # # # # # #  ",
"    # # # # # # #                # # # # # # #  ",
"    # # # # # # ################## # # # # # #  ",
"    # # # # # #                    # # # # # #  ",
"    # # # # # ###################### # # # # #  ",
"    # # # # #           #            # # # # #  ",
"    # # # # ########### # ############ # # # #  ",
"    # # # #             #              # # # #  ",
"   ## # # ############################## # # ## ",
"   #  # #               #                # #  # ",
"   # ## ############### # ################ ## # ",
"   # #                  #                   # # ",
"   # #  ##################################  # # ",
"   # ####                                #### # ",
"   #      ##############################      # ",
"   ########                            ######## ",
"                                                ",
    title = "Thomas Hill's Garden",
    exit_north = nil,
    exit_south = nil,
    exit_west = nil,
    exit_east = nil,
    features = { 
                -- UTF-8 character, Unicode value, Wall type
                { '#', 0x1234,         "AutoWall" },
                { '|', from_utf8("|"), "Gate" },
                { ' ', 32,             "Space" },
                { '*', from_utf8('*'), "Object" },
                { '2', '2',            "Space" }, -- entrance / exit
                { '3', gate(),   "Space_InfluenceAutoWall", gate() }, -- map here to make autowall work properly
                { '@', '@',            "Space" }, -- entrance / exit
                { '?', '?',            "Space" }, -- entrance / exit

        },
    exits = { 
                ['2'] = {file='new_central_cavern', destination='7'}, 
                [gate()] = {file='trinity', destination='3', map_character = gate()}, -- map here to make display work properly
                ['@'] = {destination='?', map_character = get_glyph('map', 11)},
                ['?'] = {map_character = get_glyph('map', 13)},
        },
    controllers = { 
        },
    objects = { 
        -- '*', 'RedKey' 
        },
    fg = 'WHITE',
    bg = 'WHITE',
    laser = 'BLUE',
    autowall_glyph_set = "townmap"
}
