-- Forlorn Fox
-- Copyright © 2016 Rob Probin.
-- No redistribution without permission.
--
RawMapData {
    "################################",
    "################################",
    "################################",
    "################################",
    "################################",
    "######################   {   ####",
    "##################          ####",
    "###                     234   ##",
    "1                    %  5X6  } #",
    "###                     789 ####",
    "#######            #############",
    "###########}     }##############",
    "############## #################",
    "############## #################",
    "###                          ###",
    "##  WARNING: No escape until  ##",
    "##          completed!        ##",
    "###                          ###",
    "######### ######################",
    "######### ######################",
    "#########h######################",
    title = "Hole in the floor",
    exits = {
                ['1'] = 
                {
                    file = "multiplayer_lobby",
                    destination = '7',
                    mode='common_area',
                },
                ['X'] = 
                {
                    file='caves/caves11', 
                    destination='1', 
                    map_character = get_glyph('caves1', 17), 
                    sound = 'thump', 
                }, 
                ['h'] = 
                {
                    file = 'caves/caves_infirmary',
                    destination = '1',
                }
        },
    features = { 
            { '#', from_utf8('#'), "AutoWall" },
            { ' ', ' ',            "Space" },
            { '1', '1',            "Space" }, -- entrance / exit
--          { 'O', 'O',            "O" }, -- entrance / exit
            { '2', get_glyph('caves1', 0), "Space" },
            { '3', get_glyph('caves1', 1), "Space" },
            { '4', get_glyph('caves1', 2), "Space" },
            { '5', get_glyph('caves1', 16), "Space" },
            { '6', get_glyph('caves1', 18), "Space" },
            { '7', get_glyph('caves1', 32), "Space" },
            { '8', get_glyph('caves1', 33), "Space" },
            { '9', get_glyph('caves1', 34), "Space" },
            { '%', get_glyph('caves1', 3), "Wall" },
            { '}', {250, get_glyph('caves2',0 ), get_glyph('caves2', 1), get_glyph('caves2', 2), get_glyph('caves2', 3), get_glyph('caves2', 4)}, "Wall" },
            { '{', {150, get_glyph('caves2',6 ), get_glyph('caves2', 7), get_glyph('caves2', 8), get_glyph('caves2', 7)}, "Wall" },
 
    },
    controllers = { },
    objects = { 
        on_map = {
            }
    },
    fg = 'WHITE',
    bg = 'Saddle_Brown',    
    autowall_glyph_set = "blackwall",
    
    fg_areas = {
        {start_line=15, start_column=4, end_line=16, end_column=28, colour='BLACK', font = 'blood'},
    },
    
    number_of_buried_gold_coin = 0,
    number_of_unburied_gold_coin = 0,
}
