-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--

RawMapData {
    "###########################################",
    "#                       c                 #",
    "#                 c                       #",
    "#  # ###  #  #  ###########  #  #  ### #  #",
    "#  #  1#  #  #  #         #  #  #  #2  #  #",
    "#  #   #  #  #  # ####### #  #  #  #   #  #",
    "#  #   #  #  #  # #ccccc# #  #  #  #   #  #",
    "#  ### #  #  #  # #ccccc# #  #  #  # ###  #",
    "#         #  #  # #ccccc# #  #  #         #",
    "#            #  # #ccccc# #  #            #",
    "#  ######    #  # #ccccc# #  #    ######  #",
    "#            #  # #ccccc# #  #            #",
    "#               # ## #### #               #",
    "#  #########    #    #    #    #########  #",
    "#         c     ###### ####               #",
    "#                     E           c       #",
    "#  ############ E    E    E ############  #",
    "#  #          #  #### ####  #          #  #",
    "# c# ######## #  #ccc ccc#  # ######## #c #",
    "#  # #cccccc# #  #ccc#ccc#  # #cccccc# #  #",
    "#  # #cccccc#  E #ccc#ccc#  #  cccccc# #  #",
    "#  # #cccccc### E  #####  E ###cccccc# #  #",
    "#  # #cccccc  #  #ccc#ccc# E  #cccccc# #  #",
    "#  # #cccccc# #c #ccc#ccc#  # #cccccc# #  #",
    "#c # ######## #  #ccc ccc#  # ######## # c#",
    "#  #          #  #### ####  #          #  #",
    "#  ############ E    E    E ############  #",
    "#        c          E                     #",
    "#               #### ######        c      #",
    "#  #########    #    #    #    #########  #",
    "#               # #### ## #               #",
    "#            #  # #ccccc# #  #            #",
    "#  ######    #  # #ccccc# #  #    ######  #",
    "#            #  # #ccccc# #  #            #",
    "#         #  #  # #ccccc# #  #  #         #",
    "#  ### #  #  #  # #ccccc# #  #  #  # ###  #",
    "#  #   #  #  #  # #ccccc# #  #  #  #   #  #",
    "#  #   #  #  #  # ####### #  #  #  #   #  #",
    "#  #  4#  #  #  #         #  #  #  #3  #  #",
    "#  # ###  #  #  ###########  #  #  ### #  #",
    "#                c                        #",
    "#                     c                   #",
    "###########################################",
    title = "Coin Rush",
    exit_north = nil,
    exit_south = nil,
    exit_west = nil,
    exit_east = nil,
    preload = { { file='coin_rush_lobby', mode='common_area' },},        -- keep lobby in memory in clients
    controllers = { },
    features = 
    {
        -- UTF-8 character, Unicode value, Wall type
        { '#', '#', "AutoWall" },
        { ' ', ' ', "Space" },
        { 'E', 'E', "Space" }, -- let mob load fix character
        { 'c', 'c',            "Space" }, -- entrance / exit
        { '1', '1',            "Space" }, -- start location
        { '2', '2',            "Space" }, -- start location
        { '3', '3',            "Space" }, -- start location
        { '4', '4',            "Space" }, -- start location
    },
    objects = { 
        on_map = {
            ['c'] = 'gold coin'
            }
    },
    mobs = 
    { 
        ['E'] = 
        { 
            file = 'mobs/widdershins_eyebeast', 
            map_character = ' ',
            speed = 2
        } 
    },
    exits = 
    { 
        ['1'] = {map_character = get_glyph('spectrum', 32)},
        ['2'] = {map_character = get_glyph('spectrum', 32)},
        ['3'] = {map_character = get_glyph('spectrum', 32)},
        ['4'] = {map_character = get_glyph('spectrum', 32)},
    },
    
    fg = 'BRIGHT_BLUE',
    bg = 'BRIGHT_CYAN',
    
    manager_file = 'coin_rush_manager',
    manager_name = 'coin_rush_manager'
    
}
