-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
RawMapData {
    "##################### #################################################### #####################",
    "#                                                                                              #",
    "#                                                                                              #",
    "#  ########  #                                                                    #  ########  #",
    "#        1#  #  ###############################################################   #  #2        #",
    "#  #      #  #                                 E                                  #  #      #  #",
    "#  #      #  #                                                                    #  #      #  #",
    "#  #      #  #  ###############################################################   #  #      #  #",
    "#  #      #  #                                                                    #  #      #  #",
    "#  #         #                                                                    #         #  #",
    "#  ########  #  ###############################################################   #  ########  #",
    "#            #                                 E                                  #            #",
    "#            #                                                                    #            #",
    "#  #################  ###################################################  ##################  #",
    "#                                                                                              #",
    "#                                                                                              #",
    "#  ##########################################################################################c #",
    "# c           c       c     c                                                    c             #",
    "#        c                        c    c        c      c           c       c                   #",
    "#                 c        c                                                          c        #",
    "#  ####  ####################################    #####################################  #####  #",
    "#                                                                                              #",
    "#              c            c                      c     c       c          c                  #",
    "#c     c                              c      c                          c         c    c       #",
    "#  ##########################################################################################  #",
    "#                          c      c    c         c                                   c         #",
    "#        c           c                      c        c                   c                     #",
    "#                                                                                              #",
    "#  #################  ###################################################  ##################  #",
    "#            #                                                                    #            #",
    "#            #                                 E                                  #            #",
    "#  ########  #    #############################################################   #  ########  #",
    "#  #         #                                                                    #         #  #",
    "#  #      #  #                                                                    #  #      #  #",
    "#  #      #  #    #############################################################   #  #      #  #",
    "#  #      #  #                                 E                                  #  #      #  #",
    "#  #      #  #                                                                    #  #      #  #",
    "#        4#  #    #############################################################   #  #3        #",
    "#  ########  #                                                                    #  ########  #",
    "#                                                                                              #",
    "#                                                                                              #",
    "################################################################################################",
    title = "Coin Rush",
    exit_north = nil,
    exit_south = nil,
    exit_west = nil,
    exit_east = nil,
    controllers = { },
    objects = { 
        on_map = {
            ['c'] = 'gold coin'
            }
    },
    features = 
    {
        -- UTF-8 character, Unicode value, Wall type
        { '#', '#', "AutoWall" },
        { ' ', ' ', "Space" },
        { 'E', 'E', "Space" }, -- let mob load fix character
        { 'c', 'c',            "Space" }, -- entrance / exit
        { '1', ' ',            "Space" }, -- entrance / exit
        { '2', ' ',            "Space" }, -- entrance / exit
        { '3', ' ',            "Space" }, -- entrance / exit
        { '4', ' ',            "Space" }, -- entrance / exit
    },
    mobs = 
    { 
        ['E'] = 
        { 
            file = 'mobs/widdershins_eyebeast', 
            map_character = ' '
        } 
    },
    fg = 'BRIGHT_BLUE',
    bg = 'BRIGHT_CYAN',

}
