-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
RawMapData {
    "################################",
    "#                              #",
    "#   2UP   #############   1UP  #",
    "#   * *   #           #    +   #",
    "# ####### # Coin Rush #  ##### #",
    "# #     # #   Lobby   #  #   # #",
    "# # $ $ # #    ---    #  # ~ # #",
    "# #     # #    - -    #  #   # #",
    "# ##   ## #####---#####  ## ## #",
    "#             #####            #",
    "#                              5",
    "#                              #",
    "#    3UP               4UP     #",
    "#   ? ? ?            @ @ @ @   #",
    "# #########        ########### #",
    "# #       #        #         # #",
    "# # % % % #        # ^ ^ ^ ^ # #",
    "# #       #        #         # #",
    "# ###   ###        ####   #### #",
    "#                              #",
    "################################",
    title = "Let's Play Coin Rush",
    --preload = { {file='coin_rush'}, },        -- force preload of coin_rush in clients
    exits = {   ['5'] = { file = "multiplayer_lobby",  destination = '4'}, 
    },
    features = { 
            { '#', from_utf8('#'), "AutoWall" },
            { ' ', ' ',            "Space" },
            { '5', '5',            "Space" },
        },
    controllers = { },
    objects = 
    {
      on_map = 
      {
        ['-'] = {name="start light", group=5, status='off', 
		  glyphs={['off']=get_glyph('map', 9),
			  ['on']=get_glyph('map', 10)}},
        ['+'] = {name="start light", group=1, status='off', 
		  glyphs={['off']=get_glyph('map', 9),
			  ['on']=get_glyph('map', 10)}},
        ['*'] = {name="start light", group=2, status='off', 
		  glyphs={['off']=get_glyph('map', 9),
			  ['on']=get_glyph('map', 10)}},
        ['?'] = {name="start light", group=3, status='off', 
		  glyphs={['off']=get_glyph('map', 9),
			  ['on']=get_glyph('map', 10)}},
        ['@'] = {name="start light", group=4, status='off', 
		  glyphs={['off']=get_glyph('map', 9),
			  ['on']=get_glyph('map', 10)}},
        ['~'] = {name="exit_pad", group=1, file="coin_rush", destination='start', map_character = get_glyph('map', 11)},
        ['$'] = {name="exit_pad", group=2, file="coin_rush", destination='start', map_character = get_glyph('map', 11)},
        ['%'] = {name="exit_pad", group=3, file="coin_rush", destination='start', map_character = get_glyph('map', 11)},
        ['^'] = {name="exit_pad", group=4, file="coin_rush", destination='start', map_character = get_glyph('map', 11)},
      },
    },
    fg = 'RED',
    bg = 'WHITE',
    
    manager_file = 'lobby_manager',
    manager_name = 'lobby_manager_coin_rush',
    
    game_name = "Coin Rush",
    --game_map = 'coin_rush',
    
    -- no treasure for reloaded map
    buried_gold_coin_density = 0,
    unburied_gold_coin_density = 0,
}
