-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--

RawMapData {
    "###########################################",
    "#c                      c                c#",
    "#                 c                       #",
    "#  #####  #  #  ###########  #  #  #####  #",
    "#     1#  #  #  #         #  #  #  #2     #",
    "#  #   #  #  #  # ####### #  #  #  #   #  #",
    "#  #      #  #  # #ccccc# #  #  #      #  #",
    "#  #####  #  #  # #ccccc# #  #  #  #####  #",
    "#         #  #  # #ccEcc# #  #  #         #",
    "#            #  # #ccccc# #  #            #",
    "#  ######    #  # #ccccc# #  #    ######  #",
    "#            #  # #ccccc# #  #            #",
    "#               # ## #### #               #",
    "#  #########    #    #    #    #########  #",
    "#         c     ###### ####               #",
    "#                                 c       #",
    "#  ############ E         E ############  #",
    "#  #          #  #### ####  #          #  #",
    "# c# ######## #  #ccc ccc#  # ######## #c #",
    "#  # #cccccc# #  #ccc#ccc#  # #cccccc# #  #",
    "#  # #cccccc#    #ccc#ccc#  #  cccccc# #  #",
    "#  # #ccEccc###    #####    ###cccEcc# #  #",
    "#  # #cccccc  #  #ccc#ccc#    #cccccc# #  #",
    "#  # #cccccc# #c #ccc#ccc#  # #cccccc# #  #",
    "#c # ######## #  #ccc ccc#  # ######## # c#",
    "#  #          #  #### ####  #          #  #",
    "#  ############ E         E ############  #",
    "#        c                                #",
    "#               #### ######        c      #",
    "#  #########    #    #    #    #########  #",
    "#               # #### ## #               #",
    "#            #  # #ccccc# #  #            #",
    "#  ######    #  # #ccccc# #  #    ######  #",
    "#            #  # #ccccc# #  #            #",
    "#         #  #  # #ccEcc# #  #  #         #",
    "#  #####  #  #  # #ccccc# #  #  #  #####  #",
    "#  #      #  #  # #ccccc# #  #  #      #  #",
    "#  #   #  #  #  # ####### #  #  #  #   #  #",
    "#     4#  #  #  #         #  #  #  #3     #",
    "#  #####  #  #  ###########  #  #  #####  #",
    "#                c                        #",
    "#c                    c                  c#",
    "###########################################",
    title = "Coin Rush",
    exit_north = nil,
    exit_south = nil,
    exit_west = nil,
    exit_east = nil,
    controllers = { },
    features = 
    {
        -- UTF-8 character, Unicode value, Wall type
        { '#', '#', "AutoWall" },
        { ' ', ' ', "Space" },
        { 'E', 'E', "Space" }, -- let mob load fix character
        { 'c', 'c',            "Space" }, -- entrance / exit
        { '1', '1',            "Space" }, -- start location
        { '2', '2',            "Space" }, -- start location
        { '3', '3',            "Space" }, -- start location
        { '4', '4',            "Space" }, -- start location
    },
    objects = { 
        on_map = {
            ['c'] = 'gold coin'
            }
    },
    mobs = 
    { 
        ['E'] = 
        { 
            file = 'mobs/widdershins_eyebeast', 
            map_character = ' ',
            speed = 2
        } 
    },
    fg = 'BRIGHT_BLUE',
    bg = 'BRIGHT_CYAN',

}
