-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
RawMapData {
    "################################",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "1                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#     Restart                  #",
    "#       ##         Lobby       #",
    "#       3#          #2#        #",
    "#       ##          ###        #",
    "#                              #",
    "################################",
    title = "Winner",
    exit_north = nil,
    exit_south = nil,
    exit_west = nil,
    exit_east = nil,
    exits = {
        ['1'] = { map_character = get_glyph('spectrum', 32)},        -- entrance only
        ['2'] = { map_character = get_glyph('map',0x14), manager_file = 'eyebeast_escape_manager', mode = 'exit' },
        --[[
        ['2'] = 
        {
            file = "singleplayer_lobby",
            destination = '$',
            map_character = get_glyph('map',0x14),
            mode='common_area',
        },
        --]]
        ['3'] = { map_character = get_glyph('map',0x14), file = 'eyebeast_escape/highscore', destination = '1', mode='singleplayer' },
    },
    features = 
    { 
        { '#', from_utf8('#'), "AutoWall" },
        { ' ', ' ',            "Space" },
        { 'E', 'E', "Space" }, -- let mob load fix character
    },
    mobs = 
    { 
        ['*'] = 
        { 
            file = 'mobs/widdershins_eyebeast', 
            map_character = ' '
        } 
    },
    preload = { 
        {file='singleplayer_lobby', mode='common_area'},    -- keep lobby in memory in clients
    },        
    fg = 'WHITE',
    bg = 'X11_PURPLE',
    autowall_glyph_set = "blackwall",
    
        
    fg_areas = {
        {start_line=5, start_column=4, end_line=14, end_column=28, colour='BLACK'},
    },
    
    manager_name = 'eyebeast_escape_manager',

}
