-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
RawMapData {
    "################################",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#     Well done you            #",
    "#                              #",
    "#                              #",
    "#        ESCAPED               #",
    "1                              4",
    "#             THE              #",
    "#                              #",
    "#               EYEBEASTS!!    #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "################################",
    title = "Winner",
    exit_north = nil,
    exit_south = nil,
    exit_west = nil,
    exit_east = nil,
    exits = {
        ['1'] = { map_character = get_glyph('spectrum', 32)},        -- entrance only
        ['4'] = { file = 'eyebeast_escape/exit', destination = '1', mode='singleplayer' },
    },
    features = 
    { 
        { '#', from_utf8('#'), "AutoWall" },
        { ' ', ' ',            "Space" },
        { 'E', 'E', "Space" }, -- let mob load fix character
    },
    mobs = 
    { 
        ['*'] = 
        { 
            file = 'mobs/widdershins_eyebeast', 
            map_character = ' '
        } 
    },
    preload = { 
        {file='singleplayer_lobby', mode='common_area'},    -- keep lobby in memory in clients
    },        
    fg = 'WHITE',
    bg = 'X11_PURPLE',
    autowall_glyph_set = "blackwall",
    
        
    fg_areas = {
        {start_line=5, start_column=4, end_line=14, end_column=28, colour='BLACK'},
    },
    
    manager_name = 'eyebeast_escape_manager',

}
