-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
RawMapData {
    "################################",
    "#                              #",
    "# Coin                         #",
    "4 Rush                         #",
    "#                              #",
    "#            Pick a Game!      #",
    "#               Alpha!         #",
    "# Maze     Some might crash!   #",
    "5 Race                         #",
    "#                              #",
    "#                Slime         &",
    "#                Escape        #",
    "#                #   #         #",
    "#                # 6 #         #",
    "#                #####         #",
    "#                              #",
    "#                        Caves #",
    "#                         of   #",
    "#                        Chaos 7",
    "#                              #",
    "################################",
    --title = "Oh $#!+!The Central Cavern!",
    title = "Multiplayer Games",
    exits = {   ['4'] = { file = "coin_rush_lobby",  destination = '5'},      
                ['5'] = { file = "maze_tag_lobby",  destination = '5'},    
                ['6'] = { file = "slime_escape", destination = '2', map_character = get_glyph('dragon',0xC8), fg = 'WHITE' },
                ['7'] = { file = "caves/caves_entrance", destination = '1'},
                ['&'] = { file = 'new_central_cavern', destination = '4' },
                },
    controllers = { },
    
    features = 
    {
        -- UTF-8 character, Unicode value, Wall type
        { '#', from_utf8('#'), "AutoWall" },
        { ' ', ' ', "Space" },
        { 'E', 'E', "Space" }, -- let mob load fix character
        { 'c', 'c',            "Space" }, -- coin
    },
    
    active_floor = 
    {
    --    [get_glyph('dragon',0xC8)] = "die"
    },
    
    ---[[
    mobs = 
    { 
        ['$'] = 
        {
            file = 'mobs/make_slime', 
            map_character = ' '
        }
    },
    --]]
    fg = 'BRIGHT_BLUE',
    bg = 'BRIGHT_CYAN',
    laser = 'BRIGHT_MAGENTA',
    
    fg_areas = {
        {start_line=5, start_column=11, end_line=7, end_column=28, colour='BRIGHT_RED'},
    },
    
    buried_gold_coin_density = 0.015,
    unburied_gold_coin_density = 0.01,
}
