-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
RawMapData {
    "############ ###################",
    "#           ^#                 #",
    "# Eyebeast ###                 #",
    "#  Escape                      #",
    "#                              #",
    "#     Pick a Game!             #",
    "#        Alpha!                #",
    "#   Some might crash!          #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#              $               #",
    "#                              #",
    "#                              #",
    "%                              #",
    "#                              #",
    "#                              #",
    "#                              #",
    "#    Z-Dungeon                 #",
    "#                              #",
    "#####-##########################",
    --title = "Oh $#!+!The Central Cavern!",
    title = "The Central Cavern",
    exits = {   
        ['$'] = { map_character = get_glyph('spectrum', 32) },        -- entrance only
        --['^'] = { file = 'eyebeast_escape/level1', destination = '^', mode='singleplayer' },
        ['^'] = { manager_file = 'eyebeast_escape_manager', mode = 'start' },
        ['%'] = { file = 'new_central_cavern', destination = '5' },
        ['-'] = { file = 'Z_dungeon/start_map', destination_line = 0, destination_column = 1 },
    },
    controllers = { },
    
    features = 
    {
        -- UTF-8 character, Unicode value, Wall type
        { '#', from_utf8('#'), "AutoWall" },
        { ' ', ' ', "Space" },
        { 'E', 'E', "Space" }, -- let mob load fix character
        { 'c', 'c',            "Space" }, -- coin
    },
    
    active_floor = 
    {
    --    [get_glyph('dragon',0xC8)] = "die"
    },
    
    fg = 'BRIGHT_BLUE',
    bg = 'BRIGHT_CYAN',
    laser = 'BRIGHT_MAGENTA',
    
    fg_areas = {
        {start_line=5, start_column=4, end_line=7, end_column=20, colour='BRIGHT_RED'},
    },
    
    buried_gold_coin_density = 0.015,
    unburied_gold_coin_density = 0.01,
}
