
--local target = "ui"
--local target ="server"
--local target = "network"
--local target = "controller"
local target = "all"

local function check_debugger(source)
    if target == "all" or source == target then
        if argk['--MOBDEBUG'] then
            -- connect to the debugger
            if argk['DEBUG_PORT'] then
                local port_index = argk['DEBUG_PORT']
                require('mobdebug').start("localhost", arg[port_index+1])
            else
                require('mobdebug').start() -- http://studio.zerobrane.com/doc-remote-debugging.html
            end 
            
            -- lets do some network debugging too!
            require('mobdebug').coro()
            if target == "all" then
                require("mobdebug").output("sessionname", source.." Lua State")
            end
        end
    end
end

--return { ui=false, server=true, network=false }
return check_debugger
