-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--

require('strict')
 
function transmit_named_located_sound(sound, volume, line, column, map)
    
    local message = {
        mt = 'play_named_sound',
        sound = sound,
        volume = volume,
        line = line,
        column = column,
        map = map,
    }
    
    if map == nil then
        gulp_networking:broadcast(message)
    else
        gulp_networking:broadcast_to_all_on_map(map, message)
    end
    
end

