-- Forlorn Fox
-- Copyright © 2015 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
require('strict')
class = require('middleclass')

local LocalConnectionFakeSocket = class('LocalConnectionFakeSocket')


function LocalConnectionFakeSocket:initialize(destination_queue)
    self.dest_queue = destination_queue
    --self.stored_dest_queue = destination_queue
    --self.dest_queue = self
end

function LocalConnectionFakeSocket:SendMessage(message)
    message.qcommand = 'qlocal'
    self.dest_queue:send(message)
end

function LocalConnectionFakeSocket:close()
    -- closing this fake socket is fine ... it doesn't really do anything
    --[[
    if self.dest_queue == self then
        print("Local: Already closed!")
    end
    self.dest_queue = self  -- for debugging
    --]]
end

--[[
function LocalConnectionFakeSocket:open()
    if self.dest_queue ~= self then
        print("Local: Not closed!")
    end
    self.dest_queue = self.stored_dest_queue
end

-- this function is just for debugging
function LocalConnectionFakeSocket:send(message)
    print("Send local connection after close", message)
end
]]

return LocalConnectionFakeSocket
