-- Forlorn Fox
-- Copyright © 2014 Rob Probin, Tony Park and Kenny Osborne.
-- No redistribution without permission.
--
require('strict')
local class = require('middleclass')
local GoldCoin = class('GoldCoin')

function GoldCoin:initialize(name)
    -- why should an object have a line and column or a depth? 
    -- 
    self.name = name
    self.item_type = 'gold_coin'
    self.center_height_offset = 0.5
    self.center_width_offset = 0.5
    self.glyph = get_glyph('blackwall', 159)
    self.pickable = true
    self.metallic = true
end



function GoldCoin:finish()
    --self.img:hide()
end

function GoldCoin:serialise()
    return { item_type = self.item_type }
end


return GoldCoin

